package com.ruoyi.ss.commandLog.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 命令日志对象 et_command_log
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
@Data
public class CommandLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 请求url */
    @Excel(name = "请求url")
    private String url;

    /** 命令 */
    @Excel(name = "命令")
    private String command;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** mac */
    @Excel(name = "mac")
    private String mac;

    /** sn */
    @Excel(name = "sn")
    private String sn;

    /** 响应 */
    @Excel(name = "响应")
    private String result;

    /** 回调状态 */
    @Excel(name = "回调状态")
    private String callStatus;

    @Excel(name = "操作人")
    @ApiModelProperty("操作人")
    private Long userId;

    @Excel(name = "操作人名称")
    @ApiModelProperty("操作人名称")
    private String userName;


}
